### Enumeration

# Gsk SerializationError

#### Declaration

    error-domain Gsk.SerializationError

#### Description [src]

Errors that can happen during (de)serialization.

#### Members

`GSK_SERIALIZATION_UNSUPPORTED_FORMAT`

  The format can not be identified.

  - Value: `0`
  - Nickname: `unsupported-format`
  - Available since: 4.0
`GSK_SERIALIZATION_UNSUPPORTED_VERSION`

  The version of the data is not understood.

  - Value: `1`
  - Nickname: `unsupported-version`
  - Available since: 4.0
`GSK_SERIALIZATION_INVALID_DATA`

  The given data may not exist in a proper serialization.

  - Value: `2`
  - Nickname: `invalid-data`
  - Available since: 4.0

#### Type functions

###### gsk_serialization_error_quark

No description available.